
#include "..\inc\OPORA\opora.h"
#include "..\inc\CONFIG\config.h"
#include "..\inc\RAM\RamFunctions.h"

int main()
{
	CoreClockConfig();
	PortsConfig();
	ExternalBusConfig();
	
	WriteDataToRAM(0x50000000,0);
	
	if(TestData(0x50000000,0))	PORTD->SETTX=1<<7;	//тест успешно завершен!
	else						PORTD->SETTX=1<<8;	//тест завершился с ошибкой!

	WriteDataToRAM(0x50000000,1);
	
	if(TestData(0x50000000,1))	PORTD->SETTX=1<<9;	//тест успешно завершен!
	else						PORTD->SETTX=1<<10;	//тест завершился с ошибкой!		

	while(1);
}


